import { OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class PasswordToggleActionComponent implements OnInit {
    visible: boolean;
    constructor();
    ngOnInit(): void;
    toggle(): void;
    get inputType(): "password" | "text";
    static ɵfac: i0.ɵɵFactoryDeclaration<PasswordToggleActionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PasswordToggleActionComponent, "ui-password-toggle-action", never, {}, {}, never, never>;
}
